-- create lines
local mesh = Mesh2D.box(settings.size, 9999)

local hbox = Node2D.new()
hbox:addMesh( mesh )
hbox.color = settings.color
hbox:spawn()

local vbox = Node2D.new()
vbox:addMesh( mesh )
vbox.color = settings.color
vbox.rotation = math.pi / 2
vbox:spawn()

-- step each frame and update line positions to match cursor position
function step(deltaTime)
    local position = ym.getCursorPosition()
    hbox.position = position
    vbox.position = position
end
